Skip to main content
`Ctrl`+`K`

# PetscViewerVTKGetDM

get the `DM` associated with the `PETSCVIEWERVTK` viewer

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerVTKGetDM(PetscViewer viewer, PetscObject *dm)

Collective

## Input Parameters

- viewer - `PETSCVIEWERVTK` viewer

- dm - `DM` associated with the viewer (as a `PetscObject`)

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERVTK`, `PetscViewerVTKOpen()`, `DMDAVTKWriteAll()`, `PetscViewerVTKWriteFunction`, `PetscViewerVTKAddField()`

## Level

developer

## Location

src/sys/classes/viewer/impls/vtk/vtkv.c

## Implementations

PetscViewerVTKGetDM_VTK() in src/sys/classes/viewer/impls/vtk/vtkv.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages